<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: startFileExample</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: startFileExample</h1>

    




<section>

<header>
    
        <h2>startFileExample</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>Generate inner namespace of the startFileExample</p></div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_audio-element.js.html">Script/audio-element.js</a>, <a href="Script_audio-element.js.html#line22">line 22</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id=".audioContext"><span class="type-signature">(static, constant) </span>audioContext<span class="type-signature"> :object</span></h4>




<div class="description">
    <p>audio context : browser ressource to handle sound data</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">object</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_audio-element.js.html">Script/audio-element.js</a>, <a href="Script_audio-element.js.html#line50">line 50</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".canvas"><span class="type-signature">(static, constant) </span>canvas<span class="type-signature"> :object</span></h4>




<div class="description">
    <p>Transparent frame for the oscilloscope</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">object</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_audio-element.js.html">Script/audio-element.js</a>, <a href="Script_audio-element.js.html#line59">line 59</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".selAudio"><span class="type-signature">(static) </span>selAudio<span class="type-signature"> :object</span></h4>




<div class="description">
    <p>HTML element group needed for sound processing</p>
<p> - canvas
<p> - audio handlers
<p> - oscilloscope
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">object</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_audio-element.js.html">Script/audio-element.js</a>, <a href="Script_audio-element.js.html#line39">line 39</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-audio-element.html">audio-element</a></li><li><a href="module-handleModelData.html">handleModelData</a></li></ul><h3>Namespaces</h3><ul><li><a href="foo.startFileExample.html">startFileExample</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-calculator-tutorial.html">Calculator Tutorial</a></li><li><a href="tutorial-program-tutorial.html">Program Tutorial</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#express">express</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Thu Jul 08 2021 08:27:07 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>